/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.poshi.runner.prose;

import com.liferay.poshi.runner.util.Dom4JUtil;
import com.liferay.poshi.runner.util.StringUtil;

import java.util.ArrayList;
import java.util.List;

import org.dom4j.Element;

/**
 * @author Yi-Chen Tsai
 */
public class PoshiProseDefinition {

	public PoshiProseDefinition(String fileName, String fileContent) {
		_fileName = fileName;

		List<String> poshiProseScenarioStrings = StringUtil.split(
			fileContent, PoshiProseScenario.KEYWORDS);

		for (String poshiProseScenarioString : poshiProseScenarioStrings) {
			_poshiProseScenarios.add(
				new PoshiProseScenario(poshiProseScenarioString));
		}
	}

	public String getFileName() {
		return _fileName;
	}

	public Element toElement() {
		Element definitionElement = Dom4JUtil.getNewElement("definition");

		for (PoshiProseScenario poshiProseScenario : _poshiProseScenarios) {
			definitionElement.add(poshiProseScenario.toElement());
		}

		return definitionElement;
	}

	private final String _fileName;
	private final List<PoshiProseScenario> _poshiProseScenarios =
		new ArrayList<>();

}